/**
 * Copyright (c) 2010 jolira. All rights reserved. This program and the accompanying materials are made available under
 * the terms of the GNU Public License 2.0 which is available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */
package com.google.code.joliratools.logdb.parser;

import java.io.IOException;
import java.io.InputStream;
import java.text.ParseException;

/**
 * A generic interface for pasing log files.
 * 
 * @author jfk
 * @date Sep 13, 2010 11:12:06 PM
 * @since 1.0
 */
public interface Parser {
    /**
     * Read through an input stream.
     * 
     * @param in
     *            the input stream
     * @param listener
     *            the listener to be called for results.
     * @throws IOException
     *             Bad things happened while reading from the input stream.
     * @throws ParseException
     */
    void parse(InputStream in, LogListener listener) throws IOException, ParseException;

}
