/**
 * Copyright (c) 2010 jolira. All rights reserved. This program and the accompanying materials are made available under
 * the terms of the GNU Public License 2.0 which is available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

package com.google.code.joliratools.logdb.reader;

import java.io.IOException;
import java.io.InputStream;
import java.text.ParseException;

/**
 * @author jfk
 * @date Sep 14, 2010 10:56:15 PM
 * @since 1.0
 */
public interface Reader {
    /**
     * Read a log file.
     * 
     * @param in
     *            the file
     * @param reader
     *            the listener
     * @throws IOException
     *             could not read
     * @throws ParseException
     *             could not parse
     */
    void parse(InputStream in, LogReader reader) throws IOException, ParseException;
}
